/*
 * 440CPS_090_attiny85.c
 * 
 * 06.08.2016 Anpassung an attiny85-20
 * 
 * Ausgang ist an PB0 angeschlossen
 * Benutzt wird Attiny85-20 20MHz externer Takt
 * 
 *  kompilieren:
 * avr-gcc -Wall -Os -mmcu=attiny85 440CPM_090_attiny85.c -o 440CPM_090_attiny85.elf
 * avr-objcopy -O ihex -j .text -j .data 440CPM_090_attiny85.elf 440CPM_090_attiny85.hex
 * avrdude -p attiny85 -c avrisp2 -U flash:w:440CPM_090_attiny85.hex
 * 
 * 
 * Fuses setzen:
 * avrdude -p attiny85 -c avrisp2 -U lfuse:w:0xFF:m   // externer Quarz, prescaler=1 ( voller Takt)
 * avrdude -p m328p -c avrisp2 -U hfuse:w:0xd9:m 
 * avrdude -p m328p -c avrisp2 -U efuse:w:0x07:m 
 * 
 * avrdude -p attiny85 -c avrisp2                  ; Konsole Befehl
 * avrdude: Device signature = 0x1e930b            ; default Ausgabe fuer attiny85-20
 * avrdude: safemode: Fuses OK (E:FF, H:DF, L:62)  ; default Ausgabe fuer attiny85-20
 * avrdude: safemode: Fuses OK (E:, H:, L:FF)      ; Ausgabe fuer attiny externer Quarz
 * 
 * 
 */


#define F_CPU 20E6  // 20Mhz Takt

#include <util/delay.h>			// needs F_CPU
#include <avr/io.h>

#define  Hz440 1136      //microsec delay fuer 440Hz output
int main(void)

{
  DDRB = 0b00000001;                // port BP0 als Output
  
  while(1) // for ever
  {
    PORTB = 0x20; // PB5 auf High = Led an   // Zeit verbraten tur Feinjustierung
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    //PORTB = 0x20; // PB5 auf High = Led an
    //PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0b00000001;      // PC0 High
    _delay_us(Hz440);
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    PORTB = 0x20; // PB5 auf High = Led an
    PORTB = 0x00; // PB5 auf Low = Led aus
    //PORTB = 0x20; // PB5 auf High = Led an
    //PORTB = 0x00; // PB5 auf Low = Led aus 
    PORTB = 0x00;               // PC0 Low
    _delay_us(Hz440);
  }
  return 0;
}
